|  | Home | Documentation | SOAP_ENV__Header Struct Reference updated Tue Aug 22 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
SOAP_ENV__Header Struct Reference

`#include <addressStub.h>`

## Public Member Functions
int | soap_type () const
| SOAP_ENV__Header ()
int | soap_type () const
| SOAP_ENV__Header ()

## Friends
SOAP_FMAC1 SOAP_ENV__Header *SOAP_FMAC2 | address_instantiate_SOAP_ENV__Header (struct soap *, int, const char *, const char *, size_t *)
SOAP_FMAC1 SOAP_ENV__Header *SOAP_FMAC2 | graph_instantiate_SOAP_ENV__Header (struct soap *, int, const char *, const char *, size_t *)

## Detailed Description

Definition at line 171 of file addressStub.h.

## Constructor & Destructor Documentation

SOAP_ENV__Header::SOAP_ENV__Header | ( |  | ) |
| inline

Constructor with member initializations

Definition at line 176 of file addressStub.h.

SOAP_ENV__Header::SOAP_ENV__Header | ( |  | ) |
| inline

Constructor with member initializations

Definition at line 86 of file graphStub.h.

## Member Function Documentation

int SOAP_ENV__Header::soap_type | ( |  | ) | const
| inline

Return unique type id SOAP_TYPE_SOAP_ENV__Header

Definition at line 84 of file graphStub.h.

int SOAP_ENV__Header::soap_type | ( |  | ) | const
| inline

Return unique type id SOAP_TYPE_SOAP_ENV__Header

Definition at line 174 of file addressStub.h.

## Friends And Related Function Documentation

SOAP_FMAC1 SOAP_ENV__Header* SOAP_FMAC2 address_instantiate_SOAP_ENV__Header | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator used by soap_new_SOAP_ENV__Header(struct soap*, int)

SOAP_FMAC1 SOAP_ENV__Header* SOAP_FMAC2 graph_instantiate_SOAP_ENV__Header | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator used by soap_new_SOAP_ENV__Header(struct soap*, int)

The documentation for this struct was generated from the following files:

- addressStub.h
- graphStub.h